$(document).ready(function() {
	var lastDegree=0 //degree when mousedown ended
	var currentDegree=0  //current degree as mouse moves
	var aElem=$(".aims_tech")[0]; //element
	var bElem=$(".aims_tech");
	var startDragDegree; //degree when mousedown started
	  
	
	function findCenter(elem){//find center of element
	  var x = (elem.offsetLeft) + (elem.offsetWidth / 2);
	  var y = (elem.offsetTop) + (elem.offsetHeight / 2);
	  return {x,y}
	}
	
	// touch operation start
	function rotateOntouch(e, pw) {
	  var center = findCenter(aElem)
	  const touch = e.changedTouches[ 0 ];
	  var mouse = {x: touch.pageX, y:touch.pageY};
	  var radians = Math.atan2(mouse.x - center.x, mouse.y - center.y);
	  var currentMouseDegree = (radians * (180 / Math.PI) * -1);
	  currentDegree = (currentMouseDegree-startDragDegree)+lastDegree;
	  let currentDegree2=(currentDegree*(-1));
	  console.log("rep-"+startDragDegree)
	  $(bElem).css({
		'-moz-transform': 'rotate(' + currentDegree + 'deg)',
		'-webkit-transform': 'rotate(' + currentDegree + 'deg)',
		'-o-transform': 'rotate(' + currentDegree + 'deg)',
		'-ms-transform': 'rotate(' + currentDegree + 'deg)'
	  });
	  bElem.find('div').each(function(){
		$(this).css({
			'-moz-transform': 'rotate(' + currentDegree2 + 'deg)',
			'-webkit-transform': 'rotate(' + currentDegree2 + 'deg)',
			'-o-transform': 'rotate(' + currentDegree2 + 'deg)',
			'-ms-transform': 'rotate(' + currentDegree2 + 'deg)'
		  });
		});

	}
	if( document.ontouchmove === undefined ) {
		console.log( "please enable your dev-tools's Responsive mode" );
	  }

	  document.querySelectorAll( '.aims_tech' ).forEach( (elem) => {
		// elem.addEventListener( 'touchstart', prevent );
		elem.addEventListener( 'touchmove', rotateOntouch );
		elem.addEventListener( 'touchstart', handleTouchStart );
	  } );
	
	  function handleTouchStart(e){
		e.preventDefault();
		const touch = e.touches[ 0 ];
		var mouseInitial = {x: touch.pageX, y:touch.pageY};    
		var center = findCenter(aElem)
		var radians = Math.atan2(mouseInitial.x - center.x, mouseInitial.y - center.y);
		startDragDegree = (radians * (180 / Math.PI) * -1);
		console.log('test'+startDragDegree);
		touchcloseDragElement();
	  }

	  function touchcloseDragElement() {
		lastDegree = currentDegree;
		document.onmouseup = null;
		document.onmousemove = null;
	  }
	  
	  

	  //touch opertations ends


	  function rotateOnMouse(e, pw) {
		var center = findCenter(pw[0])
		var mouse = {x: e.pageX, y:e.pageY};
		var radians = Math.atan2(mouse.x - center.x, mouse.y - center.y);
		var currentMouseDegree = (radians * (180 / Math.PI) * -1);
		currentDegree = (currentMouseDegree-startDragDegree)+lastDegree;
		let currentDegree2 = (currentDegree)*-1;
		$(pw).css({
		  '-moz-transform': 'rotate(' + currentDegree + 'deg)',
		  '-webkit-transform': 'rotate(' + currentDegree + 'deg)',
		  '-o-transform': 'rotate(' + currentDegree + 'deg)',
		  '-ms-transform': 'rotate(' + currentDegree + 'deg)'
		});
		$(pw).find('div').each(function(){
			$(this).css({
				'-moz-transform': 'rotate(' + currentDegree2 + 'deg)',
				'-webkit-transform': 'rotate(' + currentDegree2 + 'deg)',
				'-o-transform': 'rotate(' + currentDegree2 + 'deg)',
				'-ms-transform': 'rotate(' + currentDegree2 + 'deg)'
			  });
		});
	  }
	  
	
	$('.aims_tech').on('mousedown',function(e) {
	  e.preventDefault();
	  var mouseInitial = {x: e.pageX, y:e.pageY};    
	  var center = findCenter($(".aims_tech")[0])
	  var radians = Math.atan2(mouseInitial.x - center.x, mouseInitial.y - center.y);
	  startDragDegree = (radians * (180 / Math.PI) * -1);
	  
	  document.onmouseup = closeDragElement;
	  document.onmousemove = function(e2) {
		rotateOnMouse(e2, $('.aims_tech'));
	  };
	 
	});
  
	function closeDragElement() {
	  lastDegree = currentDegree;
	  document.onmouseup = null;
	  document.onmousemove = null;
	}
  });
  